;;;; -*- Mode: Lisp -*-
;;;; Auto-generated from MIB:NET-SNMP;LM-SENSORS-MIB.TXT

(in-package :asn.1)
(setf *current-module* 'lm-sensors-mib)
(eval-when (:load-toplevel :execute)
  (pushnew 'lm-sensors-mib *mib-modules*))
(defoid |lmSensors| (|ucdExperimental| 16) (:type 'object-identity))
(defoid |lmSensorsMIB| (|lmSensors| 1)
  (:type 'module-identity)
  (:description
   "This MIB module defines objects for lm_sensor derived data."))
(defoid |lmTempSensorsTable| (|lmSensors| 2)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "Table of temperature sensors and their values."))
(defoid |lmTempSensorsEntry| (|lmTempSensorsTable| 1)
  (:type 'object-type)
  (:syntax '|LMTempSensorsEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "An entry containing a device and its statistics."))
(deftype |LMTempSensorsEntry| () 't)
(defoid |lmTempSensorsIndex| (|lmTempSensorsEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Reference index for each observed device."))
(defoid |lmTempSensorsDevice| (|lmTempSensorsEntry| 2)
  (:type 'object-type)
  (:syntax '|DisplayString|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The name of the temperature sensor we are reading."))
(defoid |lmTempSensorsValue| (|lmTempSensorsEntry| 3)
  (:type 'object-type)
  (:syntax '|Gauge32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The temperature of this sensor in mC."))
(defoid |lmFanSensorsTable| (|lmSensors| 3)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "Table of fan sensors and their values."))
(defoid |lmFanSensorsEntry| (|lmFanSensorsTable| 1)
  (:type 'object-type)
  (:syntax '|LMFanSensorsEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "An entry containing a device and its statistics."))
(deftype |LMFanSensorsEntry| () 't)
(defoid |lmFanSensorsIndex| (|lmFanSensorsEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Reference index for each observed device."))
(defoid |lmFanSensorsDevice| (|lmFanSensorsEntry| 2)
  (:type 'object-type)
  (:syntax '|DisplayString|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The name of the fan sensor we are reading."))
(defoid |lmFanSensorsValue| (|lmFanSensorsEntry| 3)
  (:type 'object-type)
  (:syntax '|Gauge32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The rotation speed of the fan in RPM."))
(defoid |lmVoltSensorsTable| (|lmSensors| 4)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "Table of voltage sensors and their values."))
(defoid |lmVoltSensorsEntry| (|lmVoltSensorsTable| 1)
  (:type 'object-type)
  (:syntax '|LMVoltSensorsEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "An entry containing a device and its statistics."))
(deftype |LMVoltSensorsEntry| () 't)
(defoid |lmVoltSensorsIndex| (|lmVoltSensorsEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Reference index for each observed device."))
(defoid |lmVoltSensorsDevice| (|lmVoltSensorsEntry| 2)
  (:type 'object-type)
  (:syntax '|DisplayString|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The name of the device we are reading."))
(defoid |lmVoltSensorsValue| (|lmVoltSensorsEntry| 3)
  (:type 'object-type)
  (:syntax '|Gauge32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The voltage in mV."))
(defoid |lmMiscSensorsTable| (|lmSensors| 5)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description
   "Table of miscellaneous sensor devices and their values."))
(defoid |lmMiscSensorsEntry| (|lmMiscSensorsTable| 1)
  (:type 'object-type)
  (:syntax '|LMMiscSensorsEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "An entry containing a device and its statistics."))
(deftype |LMMiscSensorsEntry| () 't)
(defoid |lmMiscSensorsIndex| (|lmMiscSensorsEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Reference index for each observed device."))
(defoid |lmMiscSensorsDevice| (|lmMiscSensorsEntry| 2)
  (:type 'object-type)
  (:syntax '|DisplayString|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The name of the device we are reading."))
(defoid |lmMiscSensorsValue| (|lmMiscSensorsEntry| 3)
  (:type 'object-type)
  (:syntax '|Gauge32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "The value of this sensor."))
