;;;; -*- Mode: Lisp -*-
;;;; Auto-generated from MIB:NET-SNMP;UCD-IPFILTER-MIB.TXT

(in-package :asn.1)
(setf *current-module* 'ucd-ipfilter-mib)
(eval-when (:load-toplevel :execute)
  (pushnew 'ucd-ipfilter-mib *mib-modules*))
(defoid |ucdIpFilter| (|ucdExperimental| 2)
  (:type 'module-identity)
  (:description
   "This module defines MIB components for reading information 
	 from the IP Filter. This would let you only read its rules 
	 and counters.

         IP Filter by Darren Reed <darrenr@pobox.com>
         IP Filter web page URL http://coombs.anu.edu.au/~avalon/
         ipf-mod.pl module by Yaroslav Terletsky <ts@polynet.lviv.ua>
         IP Filter UCD-SNMP module URL
         ftp://ftp.polynet.lviv.ua/pub/UNIX/security/ipf/ucd-snmp-ipf-mod.tgz
         Yaroslav Terletsky <ts@polynet.lviv.ua>"))
(defoid |ipfInTable| (|ucdIpFilter| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description
   "A table with IP Filter incoming rules and statistics."))
(defoid |ipfInEntry| (|ipfInTable| 1)
  (:type 'object-type)
  (:syntax '|IpfInEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "IP Filter incoming rules table entry."))
(deftype |IpfInEntry| () 't)
(defoid |ipfInIndex| (|ipfInEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Reference index for each incoming IP Filter rule."))
(defoid |ipfInRule| (|ipfInEntry| 2)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Textual representation of the incoming IP Filter rule."))
(defoid |ipfInHits| (|ipfInEntry| 3)
  (:type 'object-type)
  (:syntax '|Counter32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Hits of the incoming IP Filter rule."))
(defoid |ipfOutTable| (|ucdIpFilter| 2)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "A table with IP Filter outgoing rules and statistic."))
(defoid |ipfOutEntry| (|ipfOutTable| 1)
  (:type 'object-type)
  (:syntax '|IpfOutEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "IP Filter outgoing rules table entry."))
(deftype |IpfOutEntry| () 't)
(defoid |ipfOutIndex| (|ipfOutEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Reference index for each outgoing IP Filter rule."))
(defoid |ipfOutRule| (|ipfOutEntry| 2)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Textual representation of the outgoing IP Filter rule."))
(defoid |ipfOutHits| (|ipfOutEntry| 3)
  (:type 'object-type)
  (:syntax '|Counter32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Hits of the outgoing IP Filter rule."))
(defoid |ipfAccInTable| (|ucdIpFilter| 3)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description
   "A table with IP Filter incoming accounting rules
	 and statistics."))
(defoid |ipfAccInEntry| (|ipfAccInTable| 1)
  (:type 'object-type)
  (:syntax '|IpfAccInEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "IP FIlter incoming accounting rules table entry."))
(deftype |IpfAccInEntry| () 't)
(defoid |ipfAccInIndex| (|ipfAccInEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Reference index for each incoming accounting
	 IP Filter rule."))
(defoid |ipfAccInRule| (|ipfAccInEntry| 2)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Textual representation of the incoming accounting
	 IP Filter rule."))
(defoid |ipfAccInHits| (|ipfAccInEntry| 3)
  (:type 'object-type)
  (:syntax '|Counter32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Hits of the incoming accounting IP Filter rule."))
(defoid |ipfAccInBytes| (|ipfAccInEntry| 4)
  (:type 'object-type)
  (:syntax '|Counter32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Bytes passed thru the incoming accounting
	 IP Filter rule."))
(defoid |ipfAccOutTable| (|ucdIpFilter| 4)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description
   "A table with IP Filter outgoing accounting rules
	 and statistic."))
(defoid |ipfAccOutEntry| (|ipfAccOutTable| 1)
  (:type 'object-type)
  (:syntax '|IpfAccOutEntry|)
  (:max-access '|not-accessible|)
  (:status '|current|)
  (:description "IP Filter outgoing accounting rules table entry."))
(deftype |IpfAccOutEntry| () 't)
(defoid |ipfAccOutIndex| (|ipfAccOutEntry| 1)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Reference index for each outgoing accounting
	 IP Filter rule."))
(defoid |ipfAccOutRule| (|ipfAccOutEntry| 2)
  (:type 'object-type)
  (:syntax 't)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Textual representation of the outgoing accounting
	 IP Filter rule."))
(defoid |ipfAccOutHits| (|ipfAccOutEntry| 3)
  (:type 'object-type)
  (:syntax '|Counter32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description "Hits of the outgoing accounting IP Filter rule."))
(defoid |ipfAccOutBytes| (|ipfAccOutEntry| 4)
  (:type 'object-type)
  (:syntax '|Counter32|)
  (:max-access '|read-only|)
  (:status '|current|)
  (:description
   "Bytes passed thru the outgoing accounting
	 IP Filter rule."))
